﻿@model DAL.DBEntities.vt_Customers
@{
    ViewBag.Title = "CreateCustomer";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<style>
    .error {
        color: red;
    }
</style>



<link href="~/assets/css/validator.css" rel="stylesheet" />
<link href="~/scripts/notification/css/mk-notifications.css" rel="stylesheet" type="text/css">

<!-- Page Title Area -->
<div class="row page-title clearfix">
    <div class="page-title-left">
        <h6 class="page-title-heading mr-0 mr-r-5">Create Customers</h6>
    </div>
    <!-- /.page-title-left -->
    <div class="page-title-right d-none d-sm-inline-flex">
        <ol class="breadcrumb">
            <li class="breadcrumb-item">
                <a href="javascript:;">Dashboard</a>
            </li>
            <li class="breadcrumb-item active">Create Customers</li>
        </ol>
    </div>
    <!-- /.page-title-right -->
</div>
<!-- /.page-title -->
<!-- =================================== -->
<!-- Different data widgets ============ -->
<!-- =================================== -->
<div class="widget-list mb-3">
    <div class="row">
        <div class="widget-holder col-md-12">
            <div class="widget-bg">
                <div class="widget-body">
                    @using (Html.BeginForm(null, null, FormMethod.Post, new { id = "customerForm" }))
                    {
                        @Html.AntiForgeryToken()
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="l30">City/Regions? <span style="color:red">*</span> </label>
                                    @Html.DropDownListFor(x => x.CountryID, new SelectList(ViewBag.CountryList, "CountryCode", "CountryName"), "Please Select",
    new Dictionary<string, Object> { { "class", "form-control" }, { "data-live-search", "true" }, { "data-max-options", "1" } })
                                    @*<select class="form-control" id="l13">
                                            <option>Pakistan</option>
                                            <option>Option 2</option>
                                            <option>Option 3</option>
                                            <option>Option 4</option>
                                            <option>Option 5</option>
                                        </select>*@
                                </div>
                            </div>
                            <div class="col-md-6"></div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="l30">Company <span style="color:red">*</span> </label>
                                    @Html.TextBoxFor(x => x.Company, new { @class = "form-control", @title = "Company", Placeholder = "Company", })
                                    @*<input class="form-control" id="l30" placeholder="Company" type="text">*@
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="l30">Primary domain name <span style="color:red">*</span> </label>
                                    @Html.TextBoxFor(x => x.CompanyAccount, new { @class = "form-control primay-txt-box", @title = "Primary domain name *", Placeholder = "Primary domain name *" })
                                    @*@Html.ValidationMessageFor(x => x.CompanyAccount, "", new { @class = "text-danger" })*@
                                    @*<input class="form-control primay-txt-box" id="l30" placeholder="Primay domain name *" type="text">*@
                                    <span class="primay-txt-lbl">.onmicrosoft.com</span>
                                    <div class="clearfix"></div>
                                    <small class="text-muted" id="txtDomain"> <i class="primay-icon feather feather-check"></i></small>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="l30">Address 1 <span style="color:red">*</span> </label>
                                    @Html.TextBoxFor(x => x.Address1, new { @class = "form-control", @title = "Address 1", Placeholder = "Address 1" })
                                    @*<input class="form-control" id="l30" placeholder="Address 1" type="text">*@
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="l30">Address 2</label>
                                    @Html.TextBoxFor(x => x.Address2, new { @class = "form-control", @title = "Address 2", Placeholder = "Address 2" })
                                    @*<input class="form-control" id="l30" placeholder="Address 2" type="text">*@
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="l30">City <span style="color:red">*</span> </label>
                                    @Html.TextBoxFor(x => x.City, new { @class = "form-control", @title = "City", Placeholder = "City" })
                                    @*<input class="form-control" id="l30" placeholder="Address 1" type="text">*@
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="l30">State/Province</label>
                                    @Html.TextBoxFor(x => x.State_Province, new { @class = "form-control", @title = "State/Province", Placeholder = "State/Province" })
                                    @*<input class="form-control" id="l30" placeholder="Address 2" type="text">*@
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="l30">ZIP/Postal Code <span style="color:red">*</span> </label>
                                    @Html.TextBoxFor(x => x.Zip, new { @class = "form-control", @title = "ZIP/Postal Code", Placeholder = "ZIP/Postal Code" })
                                    @*<input class="form-control" id="l30" placeholder="Address 2" type="text">*@
                                </div>
                            </div>
                            <div class="col-md-12">
                                <h5 class="box-title">Primary Contact</h5>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="l30">First Name <span style="color:red">*</span> </label>
                                    @Html.TextBoxFor(x => x.PrimaryFirstName, new { @class = "form-control", @title = "First Name", Placeholder = "First Name" })
                                    @*<input class="form-control" id="l30" placeholder="First Name" type="text">*@
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="l30">Last Name <span style="color:red">*</span> </label>
                                    @Html.TextBoxFor(x => x.PrimaryLastName, new { @class = "form-control", @title = "Last Name", Placeholder = "Last Name" })
                                    @*<input class="form-control" id="l30" placeholder="Last Name" type="text">*@
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="l30">Email Address<span style="color:red">*</span> </label>
                                    @Html.TextBoxFor(x => x.PrimaryEmail, new { @class = "form-control", @type = "email", @title = "Email Address", Placeholder = "Email Address" })
                                    @*<input class="form-control" id="l30" placeholder="Email Address" type="text">*@
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="l30">Phone Number</label>
                                    @Html.TextBoxFor(x => x.PrimaryPhone, new { @class = "form-control", @title = "Phone Number", Placeholder = "Phone Number" })
                                    @*<input class="form-control" id="l30" placeholder="Phone Number" type="text">*@
                                </div>
                            </div>
                            <div class="col-sm-12 text-right">
                                <button class="btn btn-pinterest ripple" id="btnSave"><i class="material-icons list-icon"></i>  <span>Create</span></button>
                            </div>
                        </div>
                    }

                </div>
            </div>
        </div>
    </div>
</div>
@section InScript{
    <script src="~/scripts/jquery.validate.js"></script>
    <script src="~/scripts/jquery.validate.min.js"></script>
    <script src="~/scripts/jquery.validate.unobtrusive.js"></script>
    <script src="~/scripts/jquery.validate.unobtrusive.min.js"></script>
    <script src="~/scripts/jquery.toast.js"></script>
    <script src="~/scripts/jquery.validator.js"></script>
    <script src="~/scripts/Jquery-Validation-add-methods.js"></script>
    <script src="~/scripts/notification/js/mk-notifications.js"></script>


    <script type="text/javascript">



        var _regeX =new RegExp();
        $(document).ready(function () {
            $('#CountryID').attr("disabled", "disabled");
            $('#CountryID option[value="PK"]').attr("selected", true);
            $('#CountryID').css("color", "#74708d");
            $('#btnSave').attr("disabled", "disabled");
            $('#txtDomain').children('i').hide();
            var mkConfig = {
                positionY: 'bottom',
                positionX: 'right',
                max: 10,
                scrollable: true
            };

            mkNotifications(mkConfig);
            var Domain = false;
            OnLoad();
            OnLoadTextBox();
        });

        function OnLoadTextBox() {
            //$('#Address1').attr("disabled", "disabled")
            //$('#Address1').css("background-color","#d6d6d6");
            //$('#Address2').attr("disabled", "disabled");
            //$('#Address2').css("background-color", "#d6d6d6");
            //$('#City').attr("disabled", "disabled");
            //$('#City').css("background-color", "#d6d6d6");
            //$('#State_Province').attr("disabled", "disabled");
            //$('#State_Province').css("background-color", "#d6d6d6");
            //$('#Zip').attr("disabled", "disabled");
            //$('#Zip').css("background-color", "#d6d6d6");
        }

        function OnLoad() {
            //$('#CountryID').change(function () {
            //    if ($('#CountryID option:selected').val() == "") {
            //        $('#Address1').attr("disabled", "disabled")
            //        $('#Address1').css("background-color", "#d6d6d6");
            //        $('#Address2').attr("disabled", "disabled");
            //        $('#Address2').css("background-color", "#d6d6d6");
            //        $('#City').attr("disabled", "disabled");
            //        $('#City').css("background-color", "#d6d6d6");
            //        $('#State_Province').attr("disabled", "disabled");
            //        $('#State_Province').css("background-color", "#d6d6d6");
            //        $('#Zip').attr("disabled", "disabled");
            //        $('#Zip').css("background-color", "#d6d6d6");
            //    }
            //    else {
            //        $('#Address1').removeAttr("disabled");
            //        $('#Address1').css("background-color", "");
            //        $('#Address2').removeAttr("disabled");
            //        $('#Address2').css("background-color", "");
            //        $('#City').removeAttr("disabled");
            //        $('#City').css("background-color", "");
            //        $('#State_Province').removeAttr("disabled");
            //        $('#State_Province').css("background-color", "");
            //        $('#Zip').removeAttr("disabled");
            //        $('#Zip').css("background-color", "");
            //    }

            //});
        }

        function Domainvalidator()
        {
            $.ajax({
                url: '@Url.Action("IsDomainExist", "Customer")',
                type: 'GET',
                data: {
                    Domain: $('#CompanyAccount').val()
                },
                success: function (result) {
                    if (result.status) {
                        Domain = result.status;
                        $('#txtDomain').children('i').show();
                        if (result.text.includes("unavailable")) {
                            $('#txtDomain').children('i').css("color", "red");
                            $('#txtDomain').children('i').text(result.text + " " + $('#CompanyAccount').val());
                            //$('#txtDomain').val()
                            // alert(result.text)
                            mkNoti('Message', result.text,
                                {
                                    status: 'warning'
                                });

                            $('#btnSave').attr("disabled", "disabled");
                        }

                        else {
                            $('#txtDomain').children('i').css("color", "green");
                            $('#txtDomain').children('i').text(result.text + " " + $('#CompanyAccount').val());
                            //$('#txtDomain').val()
                            // alert(result.text)
                            mkNoti('Message', result.text,
                                {
                                    status: 'success'
                                });
                            $('#btnSave').removeAttr("disabled");
                        }

                    }
                },
                error: function () {
                }
            });
        }

        $('#CompanyAccount').change(function () {

            var character = $('#CompanyAccount').val();
            var Special = new RegExp('^(?!\d+$)(?:[a-zA-Z0-9][a-zA-Z0-9]*)?$');
            if (!Special.test(character))
            {
                Domain = false;
                alert(character + " Not Allow");
            } else
            {
                Domainvalidator();
            }
        });
        debugger
        $(function () {

            $('#customerForm').validate({
                rules: {
                    CountryID: {
                        required: true
                    },
                    Company: {
                        required:true
                    },
                    CompanyAccount: {
                required: true
            },
            Address1: {
                required:true
            },
            City: {
                    required: true
            },
            Zip: {
                required: true,
                number: true,
                minlength:5,
              maxlength:5,

            },
            PrimaryFirstName: {
                    required: true
            },
            PrimaryLastName:{
                required: true
            },
            PrimaryEmail: {
                required:true
            },
            PrimaryPhone: {
                maxlength: 11,
                minlength: 11

            }

                },
                messages: {
                    CountryID: {
                        required: "*Please select a Country",
                    },
                    Company: {
                        required: "*Company is required",
                    },
                    CompanyAccount: {
                        required: "*Domain is required",
                },
                    Address1: {
                        required: "*Address1 is required",
                    },
                    City: {
                        required: "*City is required",
                    },
                    Zip: {
                        required: "*Postal Code is required",
                        Number: "Please specify a valid Input",
                        maxlength: "Please specify a valid Zip Code.",
                        minlength:"Please specify a valid Zip Code."

                    },
                    PrimaryFirstName: {
                        required: "*First Name is required",
                    },
                    PrimaryLastName: {
                        required: "*Last Name is required",
                    },
                    PrimaryEmail: {
                        required: "*Email is required",
                        email:"*Please specify a valid Email."

                    },
                    PrimaryPhone: {
                        maxlength: "*Please specify a valid phone number.",
                        minlength: "*Please specify a valid phone number.",

                    },

                },
                submitHandler: function (form) {
                    if (Domain) {
                        var customer = new Object();


                        customer.CountryID = $('#CountryID option:selected').val();
                        customer.Company = $('#Company').val();
                        customer.CompanyAccount = $('#CompanyAccount').val();
                        customer.Address1 = $('#Address1').val();
                        customer.Address2 = $('#Address2').val();
                        customer.City = $('#City').val();
                        customer.State_Province = $('#State_Province').val();
                        customer.Zip = $('#Zip').val();
                        customer.PrimaryFirstName = $('#PrimaryFirstName').val();
                        customer.PrimaryLastName = $('#PrimaryLastName').val();
                        customer.PrimaryEmail = $('#PrimaryEmail').val();
                        customer.PrimaryPhone = $('#PrimaryPhone').val();
                        if (customer != null) {
                            $.ajax({
                                type: "POST",
                                url: "@Url.Action("CreateCustomer", "Customer")",
                                data: JSON.stringify(customer),
                            contentType: "application/json; charset=utf-8",
                            dataType: "json",
                            success: function (response) {
                                if (response.status) {
                                    mkNoti('Message', 'Customer created successfully.',
                                        {
                                            status: 'success'
                                        });
                                    window.location.href = "@Url.Action("Index","Customer")";
                                } else {
                                    mkNoti('Message', 'customer Info not save.',
                                        {
                                            status: 'warning'
                                        });
                                }

                            },
                            failure: function (response) {
                                alert(response.responseText);
                            },
                            error: function (response) {
                                alert(response.responseText);
                            }
                        });
                    }
                }
                }
            });

        });


            @*$("#btnSave").click(function () {

                    if (Domain) {
                        var customer = new Object();


                        customer.CountryID = $('#CountryID option:selected').val();
                        customer.Company = $('#Company').val();
                        customer.CompanyAccount = $('#CompanyAccount').val();
                        customer.Address1 = $('#Address1').val();
                        customer.Address2 = $('#Address2').val();
                        customer.City = $('#City').val();
                        customer.State_Province = $('#State_Province').val();
                        customer.Zip = $('#Zip').val();
                        customer.PrimaryFirstName = $('#PrimaryFirstName').val();
                        customer.PrimaryLastName = $('#PrimaryLastName').val();
                        customer.PrimaryEmail = $('#PrimaryEmail').val();
                        customer.PrimaryPhone = $('#PrimaryPhone').val();
                        if (customer != null) {
                            $.ajax({
                                type: "POST",
                                url: "@Url.Action("CreateCustomer", "Customer")",
                                data: JSON.stringify(customer),
                            contentType: "application/json; charset=utf-8",
                            dataType: "json",
                            success: function (response) {
                                if (response.status) {
                                    window.location.href = "@Url.Action("Index","Customer")";
                                } else {
                                    alert("Something went wrong");
                                }
                            },
                            failure: function (response) {
                                alert(response.responseText);
                            },
                            error: function (response) {
                                alert(response.responseText);
                            }
                        });
                    }
                }



            });*@


    </script>
}
